#!/bin/sh

echo "post-install"

# App Central extend timeout, but the timeout seems be counted from post-install, not pre-install, so move "docker pull" to post-install.

docker pull louislam/uptime-kuma:latest

echo "Completed docker pull"


CONTAINER_TEST=$(docker container ls -a | grep UptimeKuma | awk '{print $1}')

if [ ! -z $CONTAINER_TEST ]; then
	docker rm -f $CONTAINER_TEST
fi

docker create -i -t --name=UptimeKuma \
	-p 39310:3001 \
	-v /etc/localtime:/etc/localtime:ro \
	-v /share/Docker/UptimeKuma/data:/app/data:rw \
	--restart unless-stopped \
	louislam/uptime-kuma:latest


docker start UptimeKuma


case "$APKG_PKG_STATUS" in
	install)
		;;
	upgrade)
		oldim=$(docker images | grep louislam/uptime-kuma | grep none | awk '{print $3}')
		echo $oldim
		
		if [ ! -z $oldim ]; then 
			docker rmi -f $oldim
		fi
		;;
	*)
		;;
esac

exit 0
